//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//
//
//
//	delib_io_ro_eth_intern.h
//	project: delib
//
//
//	(c) DEDITEC GmbH, 2009-2020
//	web: http://www.deditec.de/
//	mail: vertrieb@deditec.de
//
//
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************

extern unsigned long DapiOpenModuleIntern_ETH_INTERN(unsigned long handle, unsigned long moduleID);
extern unsigned long DapiCloseModuleIntern_ETH_INTERN(unsigned long handle);

extern void DapiROETHInternWriteByte(unsigned long handle, unsigned long adress, unsigned long value);
extern void DapiROETHInternWriteWord (unsigned long handle,unsigned long adress,unsigned long value);
extern void DapiROETHInternWriteLong (unsigned long handle,unsigned long adress,unsigned long value);
extern void DapiROETHInternWriteLongLong (unsigned long handle,unsigned long adress,ULONGLONG value);

extern unsigned long DapiROETHInternReadByte (unsigned long handle,unsigned long adress);
extern unsigned long DapiROETHInternReadWord (unsigned long handle,unsigned long adress);
extern unsigned long DapiROETHInternReadLong(unsigned long handle, unsigned long adress);
extern ULONGLONG DapiROETHInternReadLongLong(unsigned long handle, unsigned long adress);

extern unsigned long DapiROETHInternWriteMultipleBytes(unsigned long handle, unsigned long adress, unsigned long adress_depth, unsigned long repeat, unsigned char* data, unsigned long data_length);
extern unsigned long DapiROETHInternReadMultipleBytes(unsigned long handle, unsigned long adress, unsigned long adress_depth, unsigned long repeat, unsigned char* data, unsigned long data_length);
