//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//
//
//
//	dt_debug_comfort.h
//	project: DEDITEC Firmware
//
//
//	(c) DEDITEC GmbH, 2009-2017
//	web: http://www.deditec.de/
//	mail: vertrieb@deditec.de
//
//
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************

#ifdef dt_debug_comfort
extern void debug_print(const char * format, ...);
extern void debug_info(const char * format, ...);
extern void debug_error(const char * format, ...);

extern void debug_sprintf(char *dest_buffer, const char *format, ...);
extern void debug_strcat(char *dest_buffer, const char *format, ...);
extern void sprintf_append(char *dest_buffer, unsigned long dest_size, const char *format, ...);
#endif

extern void debug_hexdump_line_to_msg(char *msg, unsigned long msg_size, unsigned char *buffer, unsigned long buffer_size, unsigned long pos_start, unsigned long pos_max);


// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

#ifdef DEBUG_CODE_FUER_DEBUG_PRINT_INFO_ERROR_SOLL_MIT_COMPILIERT_WERDEN
	#define versionNr	(verNr|0x9000)	//Versionsnummer in HEX DEBUG VERSION
#else
	#define versionNr	verNr			//Versionsnummer in HEX FINAL VERSION
#endif

#define versionNr_0	'0' + ((versionNr>>12)&0x0f)	// Versionsnummer
#define versionNr_1	'0' + ((versionNr>>8 )&0x0f)	// Versionsnummer
#define versionNr_2	'0' + ((versionNr>>4 )&0x0f)	// Versionsnummer
#define versionNr_3	'0' + ((versionNr    )&0x0f)	// Versionsnummer

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
